Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1003785 - [RFE] cannot edit/create network on DC via left hand panel tree on DC which was recreated
Summary: [RFE] cannot edit/create network on DC via left hand panel tree on DC which w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 3.5.0
Assignee: lpeer
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On: 879077
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-09-03 08:29 UTC by Martin Pavlik
Modified: 2016-02-10 19:48 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:54:42 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)
log_collector (deleted)
2013-09-03 08:29 UTC, Martin Pavlik
no flags Details
screenshot 1 (deleted)
2013-09-03 08:31 UTC, Martin Pavlik
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Martin Pavlik 2013-09-03 08:29:04 UTC
Created attachment 793065 [details]
log_collector

Description of problem:
If user creates DC and then remove the DC and then create another DC with the same name you can't create/edit network from the DC tree > network tab . 

UI will give following error message: Error while executing action: Data Center doesn't exist.

It seems to be consequence of bug 879077 , because there is no auto refresh, network cannot be created. If the tree is manually refreshed it is possible to create a new network.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.18.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. see first line of description

Actual results:
cannot edit/create network on DC via left hand pane tree on DC which was recreated

Expected results:
tree is auto refreshed, network can be created

Additional info:

2013-09-03 10:19:32,301 WARN  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (ajp-/127.0.0.1:8702-5) CanDoAction of action AddNetwork failed. Reasons:VAR__TYPE__NETWORK,VAR__ACTION__ADD,ACTION_TYPE_FAILED_STORAGE_POOL_NOT_EXIST

Comment 1 Martin Pavlik 2013-09-03 08:31:22 UTC
Created attachment 793066 [details]
screenshot 1

Comment 2 Moti Asayag 2013-09-03 14:18:42 UTC
There are more consequences to that action, e.g. inability to add cluster.
I don't think that this scenario is that frequent and seems it would be resolved by fixing 879077.

Comment 3 Moti Asayag 2014-02-04 13:19:08 UTC
Closing this bug since it is depended on recently closed Bug 879077.

Comment 4 Martin Pavlik 2014-02-05 11:37:25 UTC
reopening since Bug 879077 was reopened

Comment 7 Nir Yechiel 2014-07-17 09:09:16 UTC
The fix itself is on BZ 879077. Setting this bug to ON_QA for verification of the network team against 3.5.

Comment 8 Meni Yakove 2014-07-17 13:46:29 UTC
ovirt-engine-3.5.0-0.0.master.20140715172116.git4687dc1.el6.noarch

Comment 11 errata-xmlrpc 2015-02-11 17:54:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.